# Learn MUI

<p class="description">New to MUI? It's easy to learn if you know where to start! This guide will help you to get started quickly.</p>

Developers come to MUI from different backgrounds and with different learning styles. Whether you prefer a more theoretical or practical approach, we hope you'll find this section helpful.
Like any unfamiliar technology, MUI does have a learning curve. With practice and some patience, you will soon get the hang of it.

## First example

The [usage page](/getting-started/usage/#quick-start) contains a small MUI example with a live editor.
Even if you don't know anything about MUI yet, try changing the code and see how it affects the result.

## Example projects

There are [some example projects](/getting-started/example-projects/) available, providing the infrastructure needed to develop and deploy websites in React.

## Templates

This [selection of basic templates](/getting-started/templates/) will help you get started building your app.

## Recommended resources

> ⚠️ Note that the resources linked below are using MUI v4, which is not the latest major version. As v5 has been released recently, it will take some time till new contents are created. If you have created any learning material for v5, let us know and we can link them here.

When first learning MUI, you might find third-party blog posts, books and video courses more helpful than the official documentation.
Here are some recommended resources, some of which are free.

### Free

- **Introduction to MUI**: a series of videos covering all the important MUI components.
  - 📹 [The videos](https://www.youtube.com/watch?v=pHclLuRolzE&list=PLQg6GaokU5CwiVmsZ0d_9Zsg_DnIP_xwr)
- **Customize MUI for your project**: a look at how you can customize MUI to align with your company identity (design system) and products
  - 📹 [The videos](https://www.youtube.com/watch?v=bDkB3LoQKxs)
- **Meet MUI — your new favorite user interface library**: a blog post that guides you in building a Todo MVC while covering some important concepts of MUI.
  - 📝 [The blog post](https://www.freecodecamp.org/news/meet-your-material-ui-your-new-favorite-user-interface-library-6349a1c88a8c/)
- **Learn React & MUI**: a series of videos covering all the important MUI components.
  - 📹 [The videos](https://www.youtube.com/watch?v=xm4LX5fJKZ8&list=PLcCp4mjO-z98WAu4sd0eVha1g-NMfzHZk)
- **Getting Started With MUI For React**: a blog post that guides you in building a simple card list.
  - 📝 [The blog post](https://medium.com/codingthesmartway-com-blog/getting-started-with-material-ui-for-react-material-design-for-react-364b2688b555)
  - 📹 [The video](https://www.youtube.com/watch?v=PWadEeOuv5o)
- **Elegant UX in React with MUI**: a blog post covering some important MUI concepts.
  - 📝 [The blog post](https://www.digitalocean.com/community/tutorials/react-material-ui)

### Paid

- **Implement high fidelity designs**: Bridge the gap between Design & Development. Break down detailed designs and bring them to life with MUI and React.

  - 💻 [The Course](https://www.udemy.com/course/implement-high-fidelity-designs-with-material-ui-and-reactjs/)

- **Apply Google Material Design**: This course teaches the fundamentals of Google Material Design and how to develop an end-to-end flight search and booking application using MUI and React.

  - 📹 [Watch Course Trailer](https://www.youtube.com/watch?v=hhZ6yFvCWho)
  - 💻 [The Course](https://bonsaiilabs.com/courseDetail/material-ui-with-react/)

- **Cookbook**: Build modern-day applications by implementing Material Design principles in React, using MUI.
  - 📘 [The book](https://www.amazon.com/gp/product/1789615224/)

[![cookbook](/static/blog/material-ui-v4-is-out/cookbook.png)](https://www.amazon.com/gp/product/1789615224/)

- **Builder Book**: Learn how to build a full-stack JavaScript and SaaS web application from scratch, using a Modern JavaScript stack and MUI.
  - 📘 [The book](https://builderbook.org/)
