# 支持

<p class="description">From community help to premium critical business support, we're here to help.</p>

## 社区的帮助（免费）

若您对框架有一些提问或给出建议，社区是您的第一站。 欢迎来到社区！

### StackOverflow

For crowdsourced answers from expert MUI developers in our community. For crowdsourced answers from expert MUI developers in our community. StackOverflow is also visited from time to time by the maintainers of MUI.

[发布一个问题](https://stackoverflow.com/questions/tagged/mui)

> 💡 **Tip**: If you're using an older version and use external resources (such as StackOverflow) for help with it, you may find answers with links that direct you to content that no longer exists in the latest version of the documentation. To easily access any previous version of the docs, simply add `v[number]` at the beginning of the URL, like so: [v4.mui.com](https://v4.mui.com/). To easily access any previous version of the docs, simply add `v[number]` at the beginning of the URL, like so: [v4.mui.com](https://v4.mui.com/).

### GitHub

我们用 GitHub issues 作为唯一的记录 BUG 或特性需求的跟踪方式。 如果你认为发现了一个 bug，或有一个新功能的想法，在您提交之前，请先确保它没有被 [报告过或解决过](https://github.com/mui/material-ui/issues?utf8=%E2%9C%93&q=is%3Aopen+is%3Aclosed)。 您可以搜索已有的 Issues 或者 Pull Requests，这样可以知晓是否有人已报告过类似的问题。

- [开一个 issue](https://github.com/mui/material-ui/issues/new/choose)
- [Open an issue on MUI X](https://github.com/mui/mui-x/issues/new/choose)

#### 新 Issue 指南

- 请遵循 issue 模板。
- 请适当的以 '[ComponentName]' 为标题开始，并加以简洁的描述，这样能够帮助其他人找到类似的问题。
  - 使用"不工作"为标题 ❌
  - "[Button] 增加对 ... 的支持 <some feature>" ✅
- 请不要在一个 issue 中涵盖多个——取而代之的，是每一个话题有其独自的 issue。
- 请不要在一个 issue 评论中回复“+1”。 这样其实是向维护者发送垃圾信息，而中也无法帮助问题取得进展。 您可以用 GitHub 的表情（👍）来替代。

### 博客 📝

请订阅我们的博客来了解我们库的开发的最新情况。

[阅读最新的博文](https://mui.com/blog/)

### 资源 📖

New to MUI? It's easy to learn if you know where to start! It's easy to learn if you know where to start!

[Learn MUI](/getting-started/learn/)

### Twitter

Receive the latest news on MUI.

[关注我们](https://twitter.com/MUI_hq)

### 支持的版本

MUI Core has been open-source ([MIT](https://tldrlegal.com/license/mit-license)) since the very beginning, and always will be. Developers can ensure MUI is the right choice for their React applications through MUI's community maintenance strategy. The MUI team regularly ships new releases, bug fixes, and is very welcoming to community pull requests. Developers can ensure MUI is the right choice for their React applications through MUI's community maintenance strategy. The MUI team regularly ships new releases, bug fixes, and is very welcoming to community pull requests.

我们考虑到时间和资源限制的现实，以及需要不断创新的愿望，所以随着时间的推移，我们有必要将开发的重点转移到框架的最新版本（[我们的版本发布时间表](https://material-ui.com/versions/#release-frequency)），同时让用户尽可能平稳地过渡到新的版本，所以我们做了包括迁移指南在内的多个工作，例如 [这个 v4 版本](/guides/migration-v3/) 的迁移指南。 作为一个开源社区，我们始终欢迎您来提交新的功能和帮助我们修复错误。

The current status of each MUI version is as follows:

- 获取不断地分类所需的工具，并了解您的应用程序所依赖的开源软件。
- 您的订阅有助于向您使用的软件包的开源社区维护者支付费用，这也能确保它们符合您要求的标准。
- 使用一些可扫描新的软件安全、证书和维护问题的工具，您可以主动解决问题，并且也可以向参与的开源维护者发出警告，以便他们能够帮助您解决这些问题。
- Tidelift 有助于衡量和改善你使用的开源软件依赖项的健康状况 — 从而改善您的应用程序的健康状况 — 与此同时会生成一个简短的列表，列出您的团队可以采取的一些积极影响的步骤，以便您进一步改进它们。
- MUI Core v1 (rewrite): ❌ Inactive.
- MUI Core v0.x: ❌ Inactive.

各个 Material-UI 版本的当前状态如下所示：

## 专业支持（高级）

### Tidelift 订阅

MUI comes in [three plans](/pricing/). The support available on the Community plan is mostly made possible thanks to people like you: the community. It's described in more detail in the above section. The maintainers of MUI focuses on solving the root issues, not direct support.

The Pro plan allows developers to license extra features that are challenging to find in the OSS space. The maintainers of MUI provide support for these paid features. They aim for a similar quality of experience to the one provided by the community on the open-source modules however no SLAs are provided. The maintainers of MUI provide support for these paid features. They aim for a similar quality of experience to the one provided by the community on the open-source modules however no SLAs are provided.

我们当然推荐您试一下，若您想要兼有开源的灵活性和使用商业级软件的自信心。

### Tidelift subscription

Tidelift 订阅能够为您管理您的依赖包：

我们当然推荐您试一下，若您想要兼有开源的灵活性和使用商业级软件的自信心。

Tidelift 订阅能够为您管理您的依赖包：

- 获取不断地分类所需的工具，并了解您的应用程序所依赖的开源软件。
- 您的订阅有助于向您使用的软件包的开源社区维护者支付费用，这也能确保它们符合您要求的标准。
- 使用一些可扫描新的软件安全、证书和维护问题的工具，您可以主动解决问题，并且也可以向参与的开源维护者发出警告，以便他们能够帮助您解决这些问题。
- Tidelift 有助于衡量和改善你使用的开源软件依赖项的健康状况 — 从而改善您的应用程序的健康状况 — 与此同时会生成一个简短的列表，列出您的团队可以采取的一些积极影响的步骤，以便您进一步改进它们。
- 您可以获得商业保证，而不是只使用免费的开源软件包，例如知识产权赔偿和服务级别协议（SLA）的支持。 您可以期望从专有软件中获得这些商业保证，并且在使用开源软件时也可以获得这些商业保证。

最终结果是什么？ 所有您期望从商业级软件中获得的功能，都可以适用于您所使用的所有开源软件。 这意味着花您可以更少的时间来处理深奥的开源软件的琐事，而把更多精力放在处理您自己的应用程序 — 以及您的业务中。

<a
  data-ga-event-category="support"
  data-ga-event-action="tidelift"
  href="https://tidelift.com/subscription/pkg/npm-material-ui?utm_source=npm-material-ui&utm_medium=referral&utm_campaign=enterprise">
获得更多详细信息
</a>

<a
  data-ga-event-category="support"
  data-ga-event-action="tidelift"
  href="https://tidelift.com/subscription/request-a-demo?utm_source=npm-material-ui&utm_medium=referral&utm_campaign=enterprise">
申请一个演示
</a>

### 定制的工作 🛠

调整 Material-UI 以满足您的特定要求。 请给我们一个需求摘要；如果可以的话，我们会帮助您。 我们可能：

- 如果工作简单明了，会给您一个预估的时间和价格
- Suggest alternatives that might not require MUI
- 由于时间或相关性而不会合作

请注意，工作必须与 Material-UI 相关。 我们不接受一般的 React 开发工作。 我们的合同价格是 200 美元/小时 或 1500 美元/天。

[给我们发送一封电子邮件](mailto:custom-work@mui.com)
